## org.eclipse.wst.common.environment.uri
Interface IURIFactory

All Known Implementing Classes:
  SimpleURIFactory

    public interface IURIFactory

This is a factory for creating new IURI and IURIScheme objects.

Since:
  1.0

Method Summary
`IURI` `newURI(java.lang.String uri)` Creates and returns a new IURI for the given string.
`IURI` `newURI(java.net.URL url)` Creates and returns a new IURI for the given URL.
`IURIScheme` `newURIScheme(java.lang.String schemeOrURI)` Creates and returns a new IURIScheme for the given scheme string.

Method Detail

### newURI

    IURI newURI(java.lang.String uri)
                throws URIException

  Creates and returns a new IURI for the given string.

  Parameters:
    `uri` - the uri to be created.
  Returns:
    the new URI.
  Throws:
    `URIException` - if the uri parameter is not a valid URI.

### newURI

    IURI newURI(java.net.URL url)
                throws URIException

  Creates and returns a new IURI for the given URL.

  Parameters:
    `url` - the url to use to create this URI
  Returns:
    the new URI.
  Throws:
    `URIException` - if the url parameter is not a valid url.

### newURIScheme

    IURIScheme newURIScheme(java.lang.String schemeOrURI)
                            throws URIException

  Creates and returns a new IURIScheme for the given scheme string. If the string contains no colons, the entire string is interpretted as the name of the scheme. If the string contains a colon, then the substring up to but excluding the first colon is interpretted as the name of the scheme, meaning the caller can pass in any IURI string in order to get a IURIScheme object.

  Parameters:
    `schemeOrURI` - the scheme or URI from which to create the scheme.
  Returns:
    the new Scheme.
  Throws:
    `URIException` - if schemeOrUri parameter does not contain a valid scheme or URI name.